// $Id$
/**
* Copyright (C) 2017 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.admin;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.jface.action.IContributionItem;

import eu.etaxonomy.taxeditor.bulkeditor.command.OpenBulkEditorContributionItem;
import eu.etaxonomy.taxeditor.bulkeditor.input.BulkEditorInputType;

/**
 * @author pplitzner
 * @date Mar 9, 2017
 *
 */
public class UserGroupContributionItem extends OpenBulkEditorContributionItem {

    /** {@inheritDoc} */
    @Override
    protected IContributionItem[] getContributionItems() {
        List<IContributionItem> contributionItems = new ArrayList<IContributionItem>();
        contributionItems.add(BulkEditorInputType.USER.createContributionItem());
        contributionItems.add(BulkEditorInputType.GROUP.createContributionItem());
        return contributionItems.toArray(new IContributionItem[contributionItems.size()]);
    }
}
