/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.perspective;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;

import eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveViewPart;
import eu.etaxonomy.taxeditor.editor.view.media.MediaViewPart;
import eu.etaxonomy.taxeditor.navigation.navigator.TaxonNavigator;
import eu.etaxonomy.taxeditor.navigation.search.SearchResultView;
import eu.etaxonomy.taxeditor.view.datasource.CdmDataSourceViewPart;
import eu.etaxonomy.taxeditor.view.detail.DetailsViewPart;
import eu.etaxonomy.taxeditor.editor.view.concept.ConceptViewPart;

/**
 * @author a.oppermann
 * @created Nov 18, 2014
 * @version 1.0
 */
public class ChecklistPerspective extends Default {

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui
	 * .IPageLayout)
	 */
	@Override
	public void createInitialLayout(IPageLayout layout) {
		IFolderLayout navigationFolder = layout.createFolder("navigation",
				IPageLayout.LEFT, 0.25f, layout.getEditorArea());

		navigationFolder.addView(TaxonNavigator.ID);
		navigationFolder.addPlaceholder(SearchResultView.ID + ":*");

		layout.addView(CdmDataSourceViewPart.ID, IPageLayout.BOTTOM, 0.6f, TaxonNavigator.ID);
		IFolderLayout folder = layout.createFolder("Folder", IPageLayout.BOTTOM, 0.6f, layout.getEditorArea());
		folder.addView(DescriptiveViewPart.ID);
		folder.addView(DetailsViewPart.ID);
		folder.addView(ConceptViewPart.ID);
//		folder.addView(MediaViewPart.ID);

//		createAdditionalFolder(layout, layout.getEditorArea());
	}
}
